#import "~/runner/graphql/runner_node.fragment.graphql"
#import "~/graphql_shared/fragments/pageInfo.fragment.graphql"

query getRunners(
  $before: String
  $after: String
  $first: Int
  $last: Int
  $status: CiRunnerStatus
  $type: CiRunnerType
  $tagList: [String!]
  $search: String
  $sort: CiRunnerSort
) {
  runners(
    before: $before
    after: $after
    first: $first
    last: $last
    status: $status
    type: $type
    tagList: $tagList
    search: $search
    sort: $sort
  ) {
    nodes {
      ...RunnerNode
      adminUrl
      editAdminUrl
    }
    pageInfo {
      __typename
      ...PageInfo
    }
  }
}
